%define name	streamtuner2
%define	version	2.0.8
%define	release	%mkrel	1

Name:		%{name}
Version:	%{version}
Release:	%{release}

Summary:	GUI Interface for Internet Radio Directories
License:	Public Domain
Url:		http://milki.erphesfurt.de/streamtuner2/
Group:		Productivity/Networking/Web/Browsers

# http://prdownloads.sourceforge.net/streamtuner2/streamtuner2-%{version}.src.tgz
Source:		%{name}-%{version}.src.tgz
#Patch0:		streamtuner-2.0.6-fix_xiph_py.patch	

Requires:	python pygtk2.0 pyxdg python-lxml python-imaging python-pyquery python-keybinder pygtk2.0-libglade

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires:	desktop-file-utils


%description
Streamtuner2 is an internet radio browser. It looks up the categorized music
stations from various directory services, like:

  * SHOUTcast (works mostly)
  * Xiph.org / icecast (basic function)
  * live365 (standard)
  * DMOZ/Google stations (ported from st1)

It is written in Python and therefore easy to extend. It mimics streamtuner1
in look and feel, but is an independent rewrite.


%prep
%setup -q -n %{name}
#%patch0 -p1 -b .fix

%build
sed -i -e "s|shinythings-webmirror|streamtuner2|g" streamtuner2.desktop


%install
rm -rf %{buildroot}
install -D -m 755 st2.py %{buildroot}/%{_bindir}/%{name}
install -D -m 644 %{name}.desktop %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -D -m 644 %{name}.png %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir %{buildroot}/%{_datadir}/%{name}
files=`find . -maxdepth 1 -type f -name "*.py" -or -name "*.png" -or -name "*.glade"`
for f in $files
	do install -m 644 $f %{buildroot}/%{_datadir}/%{name}/
done

mkdir %{buildroot}/%{_datadir}/%{name}/channels
pushd channels
files=`find . -maxdepth 1 -type f -name "*.py" -or -name "*.png"`
for f in $files
	do install -m 644 $f %{buildroot}/%{_datadir}/%{name}/channels/
done
popd

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.py
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.glade
%dir %{_datadir}/%{name}/channels
%{_datadir}/%{name}/channels/*.py
%{_datadir}/%{name}/channels/*.png


%changelog
* Sun Sep 05 2010 Jens Ornot <rpm@mandrivauser.de> 2.0.8-1mud2010.1
- update 2.0.8
 * configuration files use prettified json
 * fixed double quotation for %pls players and /local/file handling
 * (unused) channel .shutdown function introduced (late saving)
 * external plugin: basic file browser, no ID3 editing yet
 * allow interpolating of %genre and other fields, streamripper wrapper
 * fixed pyQuery parsing for latest shoutcast change
   (strangely the regular expressions were still working)

* Fri Aug 20 2010 Jens Ornot <rpm@mandrivauser.de> 2.0.7-2mud2010.1
- fix Depencies - add pygtk2.0-libglade

* Thu Aug 12 2010 Jens Ornot <rpm@mandrivauser.de> 2.0.7-1mud2010.1
- update 2.0.7
- remove bug_fix-patch
 * json cache files are now stored .gz compressed
 * xiph channel .format() call fixed into .mime_fmt()
 * simplified __init__ and attributes of main window object
 * .play() is now a per-channel function
 * global_key now accepts multiple keys, updates gtk view
 * new musicgoal plugin with radios and podcasts
 * silenced channel initialization errors
 * double clicking tabs is functioning now (-> channel service homepage)
 * shoutcast finally became a real channel plugin
 * processing.py pseudo module removed

* Tue Aug 10 2010 Jens Ornot <rpm@mandrivauser.de> 2.0.6-2mud2010.1
- fix channels/xiph.py

* Sun Aug 01 2010 Jens Ornot <rpm@mandrivauser.de> 2.0.6-1mud2010.1
- update to 2.0.6
 * mirrored Station>Extensions menu into stream context menu
 * creation of .nobackup files in cache/ and icons/ directories
 * global_key plugin allows radio switching via keyboard shortcut
 * compound channel plugin is new, mixes different source channels
 * new external plugin: podspider
 * more documentation restructuring
 * feature plugins` options are now listed in configuration dialog
 * current_channel_gtk()
 * added basic package dependencies for .deb archives,
   packaged-in lxml/ removed (lacked etree.so anyway)
 * TV plugin for shoutcast video listings
 * simpler overriding of stream column titles is now possible
 * cleaner .src.tgz package, contrib/ files have been externalized

* Wed Jul 28 2010 Jens Ornot <rpm@mandrivauser.de> 2.0.5-1mud2010.1
- update to 2.0.5:
 * display logic now can extract homepage URLs from station titles
 * automated google search for missing station homepages
 * kept .m3u files are reused for playing (faster)
 * registration code for (stations) extension submenu
 * timer plugin for programming broadcast play/recordings, uses kronos
 * heuristic update of bookmarks when reloading station lists
 * general thread() wrapper function implemented, for worker pool
 * simple mygtk wrapper for adding menu entries
 * MyOggRadio plugin is now complete, can upload individual favourites
 * links plugin, which lists other radio directories in bookmarks tab
 * CLI mode implemented
 * two PHP wrapper scripts to generate YP.Shoutcast for Streamtuner1
 * GUI startup progress window added
 * one GtkWarning message fixed
 * the Shoutcast channel was plugin-ed out, but remains in the UI file
 * multiple additions to and restructuring of the help files, manpage

